## dput 0.12.1

=== Makefile ===
#! /usr/bin/make -f
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Makefile for ‘dput’ code base.

PYTHON ?= /usr/bin/python2
PYTHON_OPTS ?= -3 -tt -bb

UNITTEST2 = /usr/bin/unit2

PY_MODULE_SUFFIX = .py
PY_MODULE_BYTECODE_SUFFIX = .pyc
package_modules = $(shell find ${CURDIR}/dput/ -name '*${PY_MODULE_SUFFIX}')
python_modules = $(shell find ${CURDIR}/ -name '*${PY_MODULE_SUFFIX}')

GENERATED_FILES :=
GENERATED_FILES += $(patsubst \
	%${PY_MODULE_SUFFIX},%${PY_MODULE_BYTECODE_SUFFIX}, \
	${python_modules})
GENERATED_FILES += ${CURDIR}/*.egg-info
GENERATED_FILES += ${CURDIR}/build ${CURDIR}/dist

DOC_DIR = doc
MANPAGE_GLOB = *.[1-8]
MANPAGE_DIR = ${DOC_DIR}/man
manpage_paths = $(wildcard ${MANPAGE_DIR}/${MANPAGE_GLOB})

UNITTEST_OPTS ?= --buffer

PYTHON_COVERAGE = $(PYTHON) -m coverage
COVERAGE_RUN_OPTS ?= --branch
COVERAGE_REPORT_OPTS ?=
COVERAGE_TEXT_REPORT_OPTS ?=
COVERAGE_HTML_REPORT_OPTS ?=


.PHONY: all
all:


.PHONY: clean
clean:
	$(RM) -r ${GENERATED_FILES}


.PHONY: tags
tags: TAGS

GENERATED_FILES += TAGS

TAGS: ${python_modules}
	etags --output "$@" --lang=python ${python_modules}


.PHONY: test
test: test-unittest test-manpages

.PHONY: test-unittest
test-unittest:
	$(PYTHON) -m unittest discover ${UNITTEST_OPTS}

.PHONY: test-coverage
test-coverage: test-coverage-run test-coverage-html test-coverage-report

GENERATED_FILES += .coverage

.PHONY: test-coverage-run
test-coverage-run: coverage_opts = ${COVERAGE_RUN_OPTS}
test-coverage-run:
	$(PYTHON) -m coverage run ${coverage_opts} \
		$(UNITTEST2) discover ${UNITTEST_OPTS}

GENERATED_FILES += htmlcov/

.PHONY: test-coverage-html
test-coverage-html: coverage_opts = ${COVERAGE_REPORT_OPTS} ${COVERAGE_HTML_REPORT_OPTS}
test-coverage-html:
	$(PYTHON_COVERAGE) html ${coverage_opts} ${package_modules}

.PHONY: test-coverage-report
test-coverage-report: coverage_opts = ${COVERAGE_REPORT_OPTS} ${COVERAGE_TEXT_REPORT_OPTS}
test-coverage-report:
	$(PYTHON_COVERAGE) report ${coverage_opts} ${package_modules}

.PHONY: test-manpages
test-manpages: export LC_ALL = C.UTF-8
test-manpages: export MANROFFSEQ =
test-manpages: export MANWIDTH = 80
test-manpages: export MANOPTS = --encoding=UTF-8 --troff-device=utf8 --ditroff
test-manpages: ${manpage_paths}
	for manfile in $^ ; do \
		printf "Rendering %s:" $$manfile ; \
		man --local-file --warnings $$manfile > /dev/null ; \
		printf " done.\n" ; \
	done


.PHONY: stylecheck
stylecheck: stylecheck-pycodestyle

.PHONY: stylecheck-pycodestyle
stylecheck-pycodestyle:
	$(PYTHON) -m pycodestyle ${python_modules}

.PHONY: stylecheck-pylint
stylecheck-pylint:
	$(PYTHON) -m pylint ${python_modules}


# Copyright © 2015–2017 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.


# Local variables:
# coding: utf-8
# mode: make
# End:
# vim: fileencoding=utf-8 filetype=make :

## dput 0.9.2.2

=== debian/changelog ===
dput (0.9.2.2) unstable; urgency=low

  * Changed error message for simulate process. (Closes: #138191)

 -- Christian Kurz <shorty@debian.org>  Thu, 14 Mar 2002 13:50:21 +0100

dput (0.9.2.1) unstable; urgency=low

  * Changed output of -H option. (Closes: #118735)
  * Fixed typos in manpage. (Closes: #119343)
  * Integrated a patch from Steven Baker to parse the GnuPG output
    instead of depending on the exit value. (Closes: #122821)

 -- Christian Kurz <shorty@debian.org>  Thu, 24 Jan 2002 09:17:24 +0100

dput (0.9.2) unstable; urgency=low

  * Bug fixed, that never occured during tests. (Closes: #118579)
  * Heading heavily towards a 1.0 release, which means ConfigParser2
    and spawnvef are finally removed, since newer python don't need
    need this files anymore.

 -- Christian Kurz <shorty@debian.org>  Fri,  9 Nov 2001 12:17:38 +0100

dput (0.9.1) unstable; urgency=low

  * Fixed explanation of dinstall checks in description. (Closes: #118134)
  * Rewrote module import code. (Closes: #118579)
  * New Option to list hosts with their handle and fqdn. (Closes: #118659)

 -- Christian Kurz <shorty@debian.org>  Tue,  6 Nov 2001 22:08:05 +0100

dput (0.9.0.1) unstable; urgency=low

  * Applied patch from Steven Kowalik to fix the postinst.
    (Closes: #118483)

 -- Christian Kurz <shorty@debian.org>  Tue,  6 Nov 2001 16:05:22 +0100

dput (0.9.0) unstable; urgency=low

  * Added support for verifying sha checksums.
  * Added passive ftp support.
  * Updated documentation.
  * Removed upload queue giano. (Closes: #113297)
  * Ensured that anon-ftp uploads are really anon-ftp uploads.
  * Introduced new option to active passive ftp from the command line.
  * Minor Code fixes, changes and cleanups.
  * Fixed Dependency according to suggestion in the forth-coming
    python policy.
  * Modified postinst according to the sample from python2.1-base.
  * Added the FAQ as new document.

 -- Christian Kurz <shorty@debian.org>  Sat, 22 Sep 2001 20:25:10 +0200

dput (0.8.9.1) unstable; urgency=low

  * Moved package to non-US instead. (Closes: #113156)

 -- Christian Kurz <shorty@debian.org>  Sat, 22 Sep 2001 19:38:59 +0200

dput (0.8.9) unstable; urgency=low

  * Changed output comment for lintian. (Closes: #110568)
  * Fixed wrong code to execute upload method. (Closes: #110807)
  * Applied patch from Steve Kowalik to support using compression on
    scp uploads.
  * Now we added a dependency on GnuPG. (Closes: #110913)
  * Changed a bit the code for executing GnuPG. (Closes: #109662)
  * Initializing now all variables. (Closes: #111564)

 -- Christian Kurz <shorty@debian.org>  Wed, 29 Aug 2001 21:47:44 +0200

dput (0.8.8) unstable; urgency=low

  * Included a message to show that lintian is running.
    (Closes: #105257
  * Changed code to call dinstall to work correctly. This has been reported
    by Martin Michlmayr. (Closes: #105481)
  * Rewrote login and method changing function. (Closes: #107559)
  * Added Brazilian portuguese debconf translation from Andre Luis Lopes.
    (Closes: #108520)
  * Small typo fixes.
    
 -- Christian Kurz <shorty@debian.org>  Sun, 15 Jul 2001 11:30:02 +0200

dput (0.8.7) unstable; urgency=low

  * Included another "ugly" hack to guess the right upload host. Since
    no policy enforces one true writing, maybe some of the checks should 
    be made case-insensitive. (Closes: #103247)
  * Included a patch from Martin Michlmayr to remove one exception.
    (Closes: #98002)
  * Fixed the path in the postinst to be hardcoded to the debian python one
    because we use a compileall.py which is different from the upstream.
    (Closes: #103721)

 -- Christian Kurz <shorty@debian.org>  Tue,  3 Jul 2001 07:20:55 +0200

dput (0.8.6) unstable; urgency=low

  * Now we also check the size of the binary files to upload.
  * Added some comments to the code.
  * Rewrote version_check.
  * Fixed broken code to calculate and test the package size.
  * Fixed broken dput.cf, which has been noticed by JP Sugarbroad.
    (Closes: #102277)

 -- Christian Kurz <shorty@debian.org>  Tue, 12 Jun 2001 16:22:23 +0200

dput (0.8.5) unstable; urgency=low

  * Incorporated an idea from Steve M. Robbins to define a default host
    for main and non-us with some fall back.
  * Fixed a typo in the scp upload which has been noted by Decklin
    Foster. (Closes #100476)
  * Included some hacks to make everything work smooth again. 

 -- Christian Kurz <shorty@debian.org>  Mon,  4 Jun 2001 09:40:17 +0200

dput (0.8.4) unstable; urgency=low

  * Added --progress to rsync to some progress indicator.
  * Fixed now upload_logfile_creation. (Closes: #98947)
  * Fixed scp upload definitely now. Thanks to JP Sugarbroad for catching
    the wrong fix. (Closes: #99300)
  * Fixed the broken chown command in scp upload.

 -- Christian Kurz <shorty@debian.org>  Mon, 28 May 2001 20:49:59 +0200

dput (0.8.3) unstable; urgency=low

  * Fixed broken scp.py noted by Adrian Bunk. (Closes: #97047)
  * Integrated a patch from JP Sugarbroad to fix scp.py.
    (Closes: #97371)
  * Fixed the broken ftp-upload method, thanks to Martin Michlmayr
    for noticing it. (Closes: #97751)
  * Increased the version number of dput itself. (Closes: #97786)
  * Incorporated a hack because of a missing unique seperator between
    upstream version number and debian version number. (Closes: #97830)
  * Fixed broken command-line parser which has also been noticed by
    Martin Michlmayr. (Closes: #97785)
  * Some more asthetic patches by the "code artist" ;) Martin Michlmayr.
    (Closes: #98003)
  * Changed the code a bit more, so that we now also have a commands before
    the upload available.
  * Added a suggestion for rsync.
  * Fixed Upload Method for ftp-master. (Closes: #98745)
  * Changed names from ftp-master-scp and non-us-scp to ftp-master-secure
    and non-us-secure, since those host are also supported by the rsync
    upload method.

 -- Christian Kurz <shorty@debian.org>  Fri, 11 May 2001 18:46:20 +0200



=== debian/control ===
Source: dput
Section: non-US
Priority: optional
Maintainer: Christian Kurz <shorty@debian.org>
Standards-Version: 3.5.6

Package: dput
Architecture: all
Depends: python (>= 2.1), python (<< 2.2), debconf, gnupg
Suggests: ssh, lintian, rsync
Description: Debian package upload tool
 This script will allow you to put one or more Debian packages into the
 archive.
 .
 It includes some tests to verify that the package is policy-compliant.
 It offers the possibility to run lintian before the upload. It can also
 run dinstall in dry-run-mode, when having used an appropriate upload method.
 This is very useful to see if the the upload will pass dinstall sanity
 checks in the next run.
 .
 It's intended for Debian maintainers only.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := dput

build: build-stamp
build-stamp:
	test -e debian/control
	touch build-stamp

clean:
	test -e debian/control
	test 0 = "`id -u`" || (echo need root privileges; exit 1)
	rm -f build-stamp install-stamp
	rm -rf debian/substvars debian/files debian/tmp
	rm -rf *.pyc *~

# Build architecture-independent files here.
binary-indep: build debian/control
	test -e debian/control
	test 0 = "`id -u`" || (echo need root privileges; exit 1)
	rm -rf debian/substvars debian/tmp
	install -d --mode=0755 "debian/tmp"
	install -d --mode=0755 "debian/tmp/DEBIAN"
	install -d --mode=0755 "debian/tmp/usr/bin"
	install -d --mode=0755 "debian/tmp/etc"
	install -d --mode=0755 "debian/tmp/usr/share/doc/$(PACKAGE)"
	install -d --mode=0755 "debian/tmp/usr/share/man/man1"
	install -d --mode=0755 "debian/tmp/usr/share/man/man5"
	install -d --mode=0755 "debian/tmp/usr/share/dput"
	install --mode=0755 dput "debian/tmp/usr/bin/"
	install --mode=0644 dput.cf "debian/tmp/etc"
	install --mode=0644 dput.1 "debian/tmp/usr/share/man/man1"
	install --mode=0644 dput.cf.5 "debian/tmp/usr/share/man/man5"
	install --mode=0644 ftp.py "debian/tmp/usr/share/dput"
	install --mode=0644 scp.py "debian/tmp/usr/share/dput"
	install --mode=0644 rsync.py "debian/tmp/usr/share/dput"
	#install --mode=0644 ConfigParser2.py "debian/tmp/usr/share/dput"
	#install --mode=0644 spawnvef.py "debian/tmp/usr/share/dput"
	install --mode=0644 README "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 FAQ "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 copyright "debian/tmp/usr/share/doc/$(PACKAGE)"
	#install --mode=0644 Todo "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 Thanks "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 debian/changelog "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 debian/templates "debian/tmp/DEBIAN"
	install --mode=0755 debian/config "debian/tmp/DEBIAN"
	gzip -9 debian/tmp/usr/share/man/man1/*
	gzip -9 debian/tmp/usr/share/man/man5/*
	gzip -9 debian/tmp/usr/share/doc/$(PACKAGE)/changelog
	install --mode=0644 debian/conffiles "debian/tmp/DEBIAN"
	install --mode=0755 debian/prerm "debian/tmp/DEBIAN"
	install --mode=0755 debian/postinst "debian/tmp/DEBIAN"
	install --mode=0755 debian/postrm "debian/tmp/DEBIAN"
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

# Build architecture-dependent files here.
binary-arch: build

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## dput 0.9.2.13

=== debian/changelog ===
dput (0.9.2.13) unstable; urgency=low

  * Added Japanese debconf translations. This fixes the bugreport #227825.
  * Added duct and duct.1 manpage to create and upload .command files. This
    will address the wishlist request #224524. Thanks to Thomas Viehmann
    for contributing that code.
  * dput will now recognize the options -P and --passive for passive ftp.
    This fixes the bug report #228826.
  * This also includes a patch from Thomas Viehmann to fix an incorrect
    debug message. #224404

 -- Christian Kurz <shorty@debian.org>  Wed, 21 Jan 2004 13:34:03 +0100

dput (0.9.2.12) unstable; urgency=low

  * And another release for which I've to add a big THANK YOU Thomas.
  * Changed python dependency. This will fix the bug reported as
    #206037.
  * Added an option fqdn to the local defintion. This will address
    the problem reported as #210322.
  * Fixed a broken debug message, that was reported as bug #224404.

 -- Christian Kurz <shorty@debian.org>  Tue,  6 Jan 2004 22:47:03 +0100

dput (0.9.2.11) unstable; urgency=low

  * Removed the host chiark from the configuration file, since it's
    not available anymore according to Ross Burton. This will fix
    the bug that he reported as #190744.
  * Increased the allowed range of days for the delayed argument. This
    wil address the bugreport #196561.
  * Applied a patch from Thomas Viehmann to reformat the warning about
    lintian and the option -o. This issue was reported as bug #199905.
  * Applied a patch from Thomas Viehmann to support the usage of ~ for
    the local upload method. This issue was reported as bug #199912.
  * From now on, this package will use po-debconf for managing the
    translation of the debconf note. This change was introduced due
    to the work of Christian Perrier. This will address the issue
    reported as #200127.
  * Applied another patch from Thomas Viehmann to output an error
    message if the execution of an external command fails. This will
    address the issue reported as #172528.

 -- Christian Kurz <shorty@debian.org>  Tue, 29 Apr 2003 11:09:06 +0200

dput (0.9.2.10) unstable; urgency=low

  * Thanks to the offer from Thomas Viehmann, dput will now have two
    maintainers taking care of it.
  * Included a patch from Thomas Viehmann suppress error messages from
    dpkg which happened when the installed check was used. This will
    close the problem reported as #154960.
  * The option -o will now reliable simulate a normal run thanks to
    another patch from Thomas Viehmann. This will address the issue
    reported as #149711.
  * dput will now check the architecture in the installed packages
    check thanks to a patch from Thomas Viehmann. So the bug #154959
    will now also be solved.
  * Also dput will now not fail when trying to use a delayed directory,
    but instead report an error. And again thanks to Thomas Viehmann
    for the patch to solve the bug #182922.
  * Fixed bare debug statement that should have been caught earlier. This
    will now finally solve bug #133287.
  * Changed dependency on python to also include python 2.3 as requested by
    Robert Millan. He also verified that the basic functionality still works
    fine with the newer python version. So this will address the issue
    reported as bug #182800.
 
 -- Christian Kurz <shorty@debian.org>  Wed, 12 Mar 2003 21:52:18 +0100

dput (0.9.2.9) unstable; urgency=low

  * Another bugfix, because something broke the rsync upload method.
    A dummy variable will take care of this. (Closes: #171006)

 -- Christian Kurz <shorty@debian.org>  Sun,  1 Dec 2002 16:39:27 +0100

dput (0.9.2.8) unstable; urgency=low

  * Bah, Christian doesn't need to be in Uploaders.
  * Fix one case I missed in the local method doesn't need a fqdn set 
    madness. 

 -- Steve Kowalik <stevenk@debian.org>  Sun, 10 Nov 2002 23:12:16 +1100

dput (0.9.2.7) unstable; urgency=low

  * Add myself to Uploaders, which Christian's permission.
  * Bump Standards-Version to 3.5.7.
  * Change code that picks the method. It makes sense now.
  * Apply 2 small hacks so that hosts that use the local method don't need to
    specify a fqdn. (Closes: #165634)
  * Change /etc/dput.cf to reflect the above.

 -- Steve Kowalik <stevenk@debian.org>  Mon,  4 Nov 2002 02:10:15 +1100

dput (0.9.2.6.7) unstable; urgency=low

  * And another NMU, with shorty's blessing.
  * Add a slash to non-US. (Closes: #162363)
  * Fix up most of the string.{r,}find and string.split madness.
  * Apply a rather large patch from Roland Mas <lolando@debian.org>. His
    changes are below:
    - Added a (very simple) module called local.py (derived from scp.py by
      Roland Mas <lolando@debian.org>), to install to local incoming dirs.
      This can be useful to users of mini-dinstall.
    - Added a French translation to the Debconf template.
    - Fixed a Lintian error.
    - A few grammar fixes in the FAQ and README files.
    - Added a /etc/bash_completion.d/dput file, to make dput easier to use
      to <TAB>-addicteb people like me.
    - Thanks Roland! (Closes: #164385)

 -- Steve Kowalik <stevenk@debian.org>  Wed, 16 Oct 2002 22:37:45 +1000

dput (0.9.2.6.6) unstable; urgency=low

  * Another NMU.
  * Don't set /usr/doc symlink.
  * Update version reported by 'dput --version' from 0.9.2.2.
  * Use readlink in postinst. (Closes: #162392)

 -- Steve Kowalik <stevenk@debian.org>  Fri, 27 Sep 2002 00:52:36 +1000

dput (0.9.2.6.5) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/templates: split into individual templates, and add a
    Russian translation (thanks, Ilgiz Kalmetev; closes: #137640).
  * debian/rules: use debconf-mergetemplates to install the templates.
  * debian/control:
    + transition to python2.2 (closes: #158312).
    + add a build dependency on debconf-utils (>= 1.1.1).
  * dput: patch from Mark Brown to make dput call dinstall from the
    correct install directory, when doing delayed uploads (closes: #155038).



=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: dput
-Section: non-US
+Section: devel
 Priority: optional
 Maintainer: Christian Kurz <shorty@debian.org>
-Standards-Version: 3.5.6
+Build-Depends-Indep: debconf-utils (>= 1.1.1), po-debconf
+Standards-Version: 3.5.7
+Uploaders: Steve Kowalik <stevenk@debian.org>
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.1), python (<< 2.2), debconf, gnupg
+Depends: python (>= 2.3), python (<< 2.4), debconf, gnupg
 Suggests: ssh, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the
@@ -18,4 +20,5 @@
  This is very useful to see if the the upload will pass dinstall sanity
  checks in the next run.
  .
- It's intended for Debian maintainers only.
+ It's intended mainly for Debian maintainers only, although it can
+ also be useful for people maintaining local apt repositories.

## dput 0.9.2.16ubuntu1

=== debian/changelog ===
dput (0.9.2.16ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <mvo@debian.org>  Fri, 24 Dec 2004 10:42:46 +0100

dput (0.9.2.16) unstable; urgency=low

  * Switch back to using passive ftp by default (as it was prior to
    0.9.2.15) and change the documentation accordingly.
    Also try some guessing to instruct the user when we suspect that
    passive vs. active ftp is the problem.
    Closes: #283370
  * Don't output the traceback when the ftp upload fails.

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 17 Dec 2004 22:33:01 +0100

dput (0.9.2.15ubuntu1) hoary; urgency=low

  * Use python2.4 as the default python version.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 18:55:20 +0100

dput (0.9.2.15) unstable; urgency=low

  * More verbose error message for ftp uploads. And also use active
    ftp per default. (Closes: #268489)
  * Fix user name selection.
  * dcut: gracefully fail if no uploader was specified.
    (Closes: #268489)
  * Again thanks to Thomas Viehmann for providing the patches
  * Applied a patch from Matthew Palmer to improve the parsing of
    comma-seperated values by dput. (Closes: #279975)

 -- Christian Kurz <shorty@debian.org>  Sat, 13 Nov 2004 22:21:06 +0100

dput (0.9.2.14) unstable; urgency=low

  * Added Dutch debconf translation. Thanks to Luk Claes. This will
    address his bugreport #245920.
  * Added support for passing additional ssh_config options. This is
    based on a suggestion (and loosely on a patch) by Stefan Vlkel.
    Thanks!
  * Very minor cleanup of dput.cf(5).
  * Fixed the debug message output for ftp connections. A patch for
    dcut was provided by Dann Frazier. The change for dput was based
    on it. Thanks!

 -- Christian Kurz <shorty@debian.org>  Tue, 15 Jun 2004 19:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), debconf, gnupg
+Depends: python (>= 2.4), python (<< 2.5), debconf, gnupg
 Suggests: ssh, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the

## dput 0.9.2.19

=== debian/changelog ===
dput (0.9.2.19) unstable; urgency=low

  * Fix dcut's handling of DEBEMAIL when it contains the full name.
    Closes: #302139.
  * Sorry, no wishlist today.

 -- Thomas Viehmann <tv@beamnet.de>  Wed,  6 Apr 2005 20:26:14 +0200

dput (0.9.2.18) unstable; urgency=low

  * Update bash_completion to skip commented hosts and reflect the
    delayed range. Bug report and patch by Johannes Berg. Thanks!
    Closes: #301247.
  * Print dcut hint if ftp upload fails with 553 (wrong filename).
    Closes: #285568.
  * Add guessing of maintainer name and email to dcut.
    Note that the actual bug (traceback) had been fixed before by
    printing out a more or less neat error message.
    Closes: #267649.
  * Switch roles with Christian in debian/control so people can
    find out faster who to put the blame on.
  * Updated copyright notices.

 -- Thomas Viehmann <tv@beamnet.de>  Fri, 25 Mar 2005 18:22:53 +0100

dput (0.9.2.17) unstable; urgency=low

  * Allow 0-day delayed upload. Yeah, some people want this, as it
    Closes: #273957.
    Fix manpage entry for the delayed option.
  * Recommend gluck_delayed for delayed uploads.
    Change the maximum delay to 15. Closes: #288436.
  * Add myself to Uploaders.

 -- Thomas Viehmann <tv@beamnet.de>  Wed,  9 Feb 2005 19:17:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Christian Kurz <shorty@debian.org>
+Maintainer: Thomas Viehmann <tv@beamnet.de>
 Build-Depends-Indep: debconf-utils (>= 1.1.1), po-debconf
 Standards-Version: 3.5.7
-Uploaders: Steve Kowalik <stevenk@debian.org>
+Uploaders: Christian Kurz <shorty@debian.org>, Steve Kowalik <stevenk@debian.org>
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), debconf, gnupg
+Depends: python (>= 2.3), python (<< 2.4), debconf, gnupg
 Suggests: ssh, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := dput
TMPDIR := debian/tmp

build: build-stamp
build-stamp:
	test -e debian/control
	touch build-stamp

clean:
	test -e debian/control
	test 0 = "`id -u`" || (echo need root privileges; exit 1)
	rm -f build-stamp install-stamp
	rm -rf debian/substvars debian/files $(TMPDIR)
	rm -rf *.pyc *~

# Build architecture-independent files here.
binary-indep: build debian/control
	test -e debian/control
	test 0 = "`id -u`" || (echo need root privileges; exit 1)
	rm -rf debian/substvars $(TMPDIR)
	install -d --mode=0755 $(TMPDIR)
	install -d --mode=0755 $(TMPDIR)/DEBIAN
	install -d --mode=0755 $(TMPDIR)/usr/bin
	install -d --mode=0755 $(TMPDIR)/etc
	install -d --mode=0755 $(TMPDIR)/etc/bash_completion.d
	install -d --mode=0755 $(TMPDIR)/usr/share/doc/$(PACKAGE)
	install -d --mode=0755 $(TMPDIR)/usr/share/man/man1
	install -d --mode=0755 $(TMPDIR)/usr/share/man/man5
	install -d --mode=0755 $(TMPDIR)/usr/share/dput
	install -d --mode=0755 $(TMPDIR)/usr/share/dput/helper
	install --mode=0755 dput $(TMPDIR)/usr/bin/
	install --mode=0755 dcut $(TMPDIR)/usr/bin
	install --mode=0644 dput.cf $(TMPDIR)/etc
	install --mode=0644 dput.1 $(TMPDIR)/usr/share/man/man1
	install --mode=0644 dcut.1 $(TMPDIR)/usr/share/man/man1
	install --mode=0644 dput.cf.5 $(TMPDIR)/usr/share/man/man5
	install --mode=0644 ftp.py $(TMPDIR)/usr/share/dput
	install --mode=0644 scp.py $(TMPDIR)/usr/share/dput
	install --mode=0644 local.py $(TMPDIR)/usr/share/dput
	install --mode=0644 rsync.py $(TMPDIR)/usr/share/dput
	install --mode=0644 dputhelper.py $(TMPDIR)/usr/share/dput/helper
	#install --mode=0644 ConfigParser2.py $(TMPDIR)/usr/share/dput
	#install --mode=0644 spawnvef.py $(TMPDIR)/usr/share/dput
	install --mode=0644 README $(TMPDIR)/usr/share/doc/$(PACKAGE)
	install --mode=0644 FAQ $(TMPDIR)/usr/share/doc/$(PACKAGE)
	install --mode=0644 copyright $(TMPDIR)/usr/share/doc/$(PACKAGE)
	#install --mode=0644 Todo $(TMPDIR)/usr/share/doc/$(PACKAGE)
	install --mode=0644 Thanks $(TMPDIR)/usr/share/doc/$(PACKAGE)
	install --mode=0644 debian/changelog $(TMPDIR)/usr/share/doc/$(PACKAGE)
	install --mode=0644 bash_completion $(TMPDIR)/etc/bash_completion.d/$(PACKAGE)
	# Merge templates, and install the merged one where it belongs
	#debconf-mergetemplate --drop-old-templates debian/templates.* debian/templates > $(TMPDIR)/DEBIAN/templates
	po2debconf debian/templates > $(TMPDIR)/DEBIAN/templates
	chmod 0644 $(TMPDIR)/DEBIAN/templates
	install --mode=0755 debian/config $(TMPDIR)/DEBIAN
	gzip -9 $(TMPDIR)/usr/share/man/man1/*
	gzip -9 $(TMPDIR)/usr/share/man/man5/*
	gzip -9 $(TMPDIR)/usr/share/doc/$(PACKAGE)/changelog
	install --mode=0644 debian/conffiles $(TMPDIR)/DEBIAN
	install --mode=0755 debian/prerm $(TMPDIR)/DEBIAN
	install --mode=0755 debian/postinst $(TMPDIR)/DEBIAN
	install --mode=0755 debian/postrm $(TMPDIR)/DEBIAN
	dpkg-gencontrol -isp
	dpkg --build $(TMPDIR) ..

# Build architecture-dependent files here.
binary-arch: build

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## dput 0.9.2.19ubuntu3

=== debian/changelog ===
dput (0.9.2.19ubuntu3) breezy; urgency=low

  * don't warn on -0ubuntu1 versions (thanks to koke for the patch)
    (closes ubuntu #10878)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  9 Jun 2005 17:57:29 +0200

dput (0.9.2.19ubuntu2) breezy; urgency=low

  * make ubuntu known in the dput.cf file
  * make ubuntu the default host 

 -- Oliver Grawert <ogra@workie.localnet>  Tue, 24 May 2005 13:11:18 +0200

dput (0.9.2.19ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 20 Apr 2005 18:41:10 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), debconf, gnupg
+Depends: python (>= 2.4), python (<< 2.5), debconf, gnupg
 Suggests: ssh, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the

## dput 0.9.2.20ubuntu1

=== debian/changelog ===
dput (0.9.2.20ubuntu1) dapper; urgency=low

  * Add revu to dput.cf
  * Sync with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat,  5 Nov 2005 04:26:56 +0000

dput (0.9.2.20) unstable; urgency=low

  * Add | debconf-2.0 to debconf-dependency.
    Thanks to Joey Hess for the reminders.
  * Use debsign to sign command files (so you can use devscripts.conf
    for key selection). Closes: #324183.
  * Add Vietnamese translation of debconf template.
    Thanks, Clytie Siddall. Closes: #313571.
  * Added Czech translation of debconf template.
    Thanks, Miroslav Kure. Closes: #315824.
  * Mention default_host in dput.1. Closes: #309934.
  * Describe the overriding of [host] in a later definition in
    dput.cf.5. Closes: #309975.
  * Remove old and unused ports of python functions from source.

 -- Thomas Viehmann <tv@beamnet.de>  Tue,  6 Sep 2005 19:00:57 +0200

dput (0.9.2.19ubuntu4) dapper; urgency=low

  * Add revu to default configuration file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat,  5 Nov 2005 04:18:30 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), debconf, gnupg
+Depends: python (>= 2.4), python (<< 2.5), debconf | debconf-2.0, gnupg
 Suggests: ssh, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the

## dput 0.9.2.24bpo1

=== debian/changelog ===
dput (0.9.2.24bpo1) sarge-backports; urgency=medium

  * Rebuilt for sarge.
  * Added backports.org upload queue.

 -- Norbert Tretkowski <nobse@backports.org>  Thu, 22 Jun 2006 19:46:33 +0200

dput (0.9.2.25) unstable; urgency=medium

  * Relax dependency on python. Several people have pointed out that
    caring about .pycs in dput is the overkill it seems to be. dput is
    thus installable with python 2.3 again.
    Closes: #374336.

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 19 Jun 2006 22:40:50 +0200

dput (0.9.2.24) unstable; urgency=low

  * Bump python dependency for the transition.

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 13 Jun 2006 23:09:50 +0200

dput (0.9.2.23) unstable; urgency=low

  * Don't include paths in .upload. Closes: #369885.

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 13 Jun 2006 08:21:05 +0200

dput (0.9.2.22) unstable; urgency=low

  This is the best dput ever. And it took quite long to upload, too.
  * Change python version detection in postinst. Closes: #342330.
  * Christoph Berg sent in a whole lot of great patches. Thanks a lot!
    They contain
    - fixes for --help for delayed/0-day,
    - a minor fix for the synopis,
    - fixes for some typos in the README
    - removal of the tabs in the uploading code, making the code more
      readable
    - adding of debugging output in scp change_mode
    - suppresion of progress information when the output is not a
      terminal
    The two patches for wishlist bugs are still being considered,
    but this round closes #366923.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 28 May 2006 13:45:39 +0200

dput (0.9.2.21) unstable; urgency=low

  Let's fix some bugs while thinking about how to fix some others.
  * dcut: Use default host when appropriate. Closes: #340668.
  * dput.cf: Fix delayed queue comment. Closes: #332764.
    Thanks to Florian Ernst for the correction.
  * dcut.1: Update description to be more precise. Closes: #340670.
    Thanks to Eduard Bloch for his patch.
  * Added Swedish translation by Daniel Nylander. Tack! Closes: #331337.

 -- Thomas Viehmann <tv@beamnet.de>  Mon,  5 Dec 2005 21:41:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Thomas Viehmann <tv@beamnet.de>
+Uploaders: Norbert Tretkowski <nobse@backports.org>
 Build-Depends-Indep: debconf-utils (>= 1.1.1), po-debconf
 Standards-Version: 3.5.7
 Uploaders: Christian Kurz <shorty@debian.org>, Steve Kowalik <stevenk@debian.org>
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), debconf | debconf-2.0, gnupg
+Depends: python (>= 2.3), debconf | debconf-2.0, gnupg
 Suggests: ssh, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,6 @@
 	install --mode=0644 local.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 rsync.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 dputhelper.py $(TMPDIR)/usr/share/dput/helper
-	#install --mode=0644 ConfigParser2.py $(TMPDIR)/usr/share/dput
-	#install --mode=0644 spawnvef.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 README $(TMPDIR)/usr/share/doc/$(PACKAGE)
 	install --mode=0644 FAQ $(TMPDIR)/usr/share/doc/$(PACKAGE)
 	install --mode=0644 copyright $(TMPDIR)/usr/share/doc/$(PACKAGE)

## dput 0.9.2.25ubuntu1

=== debian/changelog ===
dput (0.9.2.25ubuntu1) edgy; urgency=low

  * Merge new debian version.
  * debian/control:
    - Adjusted back python versions for dependencies.
  * dput.cf:
    - Put back ubuntu's configuration bits.

 -- Sivan Greenberg <sivan@ubuntu.com>  Fri,  7 Jul 2006 19:38:05 +0300

## dput 0.9.2.26

=== debian/changelog ===
dput (0.9.2.26) unstable; urgency=low

  * ftp.py: Only try to analyze error code for ftplib.Error
            exceptions. Closes: #378579
  * Drop debconf note about configuration file change five years ago.
    Closes: #388887
  * Convert debian/changelog to utf8.
  * Bump standards to 3.7.2, no changes necessary.
  * Suggest openssh-client in debian/control. Closes: #394074.
    Thanks Julien Danjou.
  * Fix typos in documentation, thanks to Thijs Kinkhorst and
    Lars Wirzenius.
    Closes: #377334, #375454.
  * Show upload target. Closes: #316319.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 21 Oct 2006 18:41:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Thomas Viehmann <tv@beamnet.de>
-Uploaders: Norbert Tretkowski <nobse@backports.org>
-Build-Depends-Indep: debconf-utils (>= 1.1.1), po-debconf
-Standards-Version: 3.5.7
+Build-Depends-Indep: debconf-utils (>= 1.1.1)
+Standards-Version: 3.7.2
 Uploaders: Christian Kurz <shorty@debian.org>, Steve Kowalik <stevenk@debian.org>
 
 Package: dput
 Architecture: all
-Depends: python (>= 2.3), debconf | debconf-2.0, gnupg
-Suggests: ssh, lintian, rsync
+Depends: python (>= 2.3), gnupg
+Suggests: openssh-client, lintian, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the
  archive.

=== debian/rules ===
--- 
+++ 
@@ -48,18 +48,12 @@
 	install --mode=0644 Thanks $(TMPDIR)/usr/share/doc/$(PACKAGE)
 	install --mode=0644 debian/changelog $(TMPDIR)/usr/share/doc/$(PACKAGE)
 	install --mode=0644 bash_completion $(TMPDIR)/etc/bash_completion.d/$(PACKAGE)
-	# Merge templates, and install the merged one where it belongs
-	#debconf-mergetemplate --drop-old-templates debian/templates.* debian/templates > $(TMPDIR)/DEBIAN/templates
-	po2debconf debian/templates > $(TMPDIR)/DEBIAN/templates
-	chmod 0644 $(TMPDIR)/DEBIAN/templates
-	install --mode=0755 debian/config $(TMPDIR)/DEBIAN
 	gzip -9 $(TMPDIR)/usr/share/man/man1/*
 	gzip -9 $(TMPDIR)/usr/share/man/man5/*
 	gzip -9 $(TMPDIR)/usr/share/doc/$(PACKAGE)/changelog
 	install --mode=0644 debian/conffiles $(TMPDIR)/DEBIAN
 	install --mode=0755 debian/prerm $(TMPDIR)/DEBIAN
 	install --mode=0755 debian/postinst $(TMPDIR)/DEBIAN
-	install --mode=0755 debian/postrm $(TMPDIR)/DEBIAN
 	dpkg-gencontrol -isp
 	dpkg --build $(TMPDIR) ..

## dput 0.9.2.27ubuntu1

=== debian/changelog ===
dput (0.9.2.27ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - ubuntu configuration

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Dec 2006 12:24:02 +0100

dput (0.9.2.27) unstable; urgency=low

  * http(s)/WebDAV uploads thanks to Ross Burton. Closes: #142023
  * dcut: Don't leave stray directories. Closes: #380356
  * dput:
    - Don't recommend -ol when -ol is passed. Closes: #376877
    - Don't throw traceback when config file cannot be parsed.
      Closes: #376796

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 14 Dec 2006 17:34:47 +0100

dput (0.9.2.26ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - ubuntu configuration

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Nov 2006 15:31:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,8 @@
 	install --mode=0644 dcut.1 $(TMPDIR)/usr/share/man/man1
 	install --mode=0644 dput.cf.5 $(TMPDIR)/usr/share/man/man5
 	install --mode=0644 ftp.py $(TMPDIR)/usr/share/dput
+	install --mode=0644 http.py $(TMPDIR)/usr/share/dput
+	install --mode=0644 https.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 scp.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 local.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 rsync.py $(TMPDIR)/usr/share/dput

## dput 0.9.2.28ubuntu1

=== debian/changelog ===
dput (0.9.2.28ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - set ubuntu as default_host_main
  * debian/control:
    - Set Ubuntu Core Dev as Maintainer and move Original maintainer to
    XSBC-Original-Maintainer.

 -- Mathias Gug <mathiaz@ubuntu.com>  Mon, 30 Jul 2007 14:22:42 -0400

dput (0.9.2.28) unstable; urgency=low

  * Add support for guessing distribution. Thanks to Christoph Berg
    for bug report and patch. Closes: #348755
  * Don't use login name to scp command if empty.
    Closes: #427554, #237448
  * Fix check_version to work with packages not in working dir.
    Closes: #426915
  * Add [options] to help string. Thanks to Thijs Kinkhorst for bug
    and patch. Closes: #424910.
  * Mention dcut in dput(1) man page. Closes: #405620.
  * Add [volatile] and [backports.org] stanzas. Thanks to
    Martin Zobel-Helas and Steve Langasek. Closes: #420694, #433057
  * Align = in dput.cf. Closes: #418758

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 15 Jul 2007 13:22:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Thomas Viehmann <tv@beamnet.de>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Viehmann <tv@beamnet.de>
 Build-Depends-Indep: debconf-utils (>= 1.1.1)
 Standards-Version: 3.7.2
 Uploaders: Christian Kurz <shorty@debian.org>, Steve Kowalik <stevenk@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	test 0 = "`id -u`" || (echo need root privileges; exit 1)
 	rm -f build-stamp install-stamp
 	rm -rf debian/substvars debian/files $(TMPDIR)
-	rm -rf *.pyc *~
+	rm -rf *.pyc *~ debian/*~
 
 # Build architecture-independent files here.
 binary-indep: build debian/control

## dput 0.9.2.30ubuntu1

=== debian/changelog ===
dput (0.9.2.30ubuntu1) hardy; urgency=low

  [ Daniel Hahler ]
  * Merge from Debian unstable. Remaining Ubuntu changes (LP: #190050):
    - Exit dcut when targetting ubuntu, revu, and ppa (LP: #186275)
    - In dput.cf, set ubuntu as default_host_main, add stanza for mentors, and
      change the name of the ubuntu-revu stanza to revu for compatibility with
      previous Ubuntu versions of dput
    - In debian/control, set Ubuntu Core Dev as Maintainer and move Original
      maintainer to XSBC-Original-Maintainer
    - In dput, recognize 0ubuntu1 as a debian_version that requires an
      orig.tar.gz upload - Refix (LP: #17169)
  * bash_completion: add "-o plusdirs" to "complete", so that directories get
    used in filename completion
  * debian/control: Suggest mini-dinstall (LP: #150577)
  * dput.py, ftp.py, dput.cf.5: FTP port option (ftp_port); patch from
    LKRaider (LP: #140612)

  [ Sarah Hobbs ]
  * Add 'progress_indicator = 2' to dput.cf, so that it is easier to detect
    how much dput has uploaded of the files.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 29 Feb 2008 15:02:31 +1100

dput (0.9.2.30) unstable; urgency=low

  * Fail if pre_upload_command (or post_upload_command) exits with
    an error code.
  * Add warning to the configuration of the security upload queues.
    Closes: #458628
  * Add allowed_distributions field. The default configuration in
    dput.cf is to refuse UNRELEASED. Closes: #384702

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 28 Jan 2008 19:38:38 +0100

dput (0.9.2.29ubuntu2) hardy; urgency=low

  * Exit dcut when targetting ubuntu, revu, and ppa (LP: #186275)

 -- Emmet Hikory <persia@ubuntu.com>  Sun, 27 Jan 2008 13:32:22 +0900

dput (0.9.2.29ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - In dput.cf, set ubuntu as default_host_main, add stanza for mentors, and
      change the name of the ubuntu-revu stanza to revu for compatibility with
      previous Ubuntu versions of dput
    - In debian/control, set Ubuntu Core Dev as Maintainer and move Original 
      maintainer to XSBC-Original-Maintainer
    - In dput, recognize 0ubuntu1 as a debian_version that requires an 
      orig.tar.gz upload - Refix (LP: #17169)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Jan 2008 17:21:55 -0500

dput (0.9.2.29) unstable; urgency=low

  * Rework http(s) upload module to better deal with authentication
    (not send everything twice) and not read whole files for uploading.
    Closes: #458381
  * Add [security-master], [security-master-unembargoed], [ubuntu], and
    [ubuntu-revu] stanzas, thanks to Steve Langasek for bug and patch.
    Closes: #457250
  * Check number of words in .changes Files: line. Closes: #453821
  * Remove non-us stuff. Based on patch by Thijs Kinkhorst, thanks!
    Closes: #376843
  * Add better error message when .upload cannot be written to.
    Closes: #433840
  * Add delayed config option. Thanks to Sean Finney for bug and patch.
    Closes: #444464
  * dcut: Add -kkeyid option. Thanks to Christoph Berg for bug and
    patch. Closes: #329823
  * Bump standards version to 3.7.3 (no changes needed)
  * Officially retire Christian Kurz and Steve Kowalik from uploaders.
    Thank you for your contributions!

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 31 Dec 2007 21:10:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Thomas Viehmann <tv@beamnet.de>
 Build-Depends-Indep: debconf-utils (>= 1.1.1)
-Standards-Version: 3.7.2
-Uploaders: Christian Kurz <shorty@debian.org>, Steve Kowalik <stevenk@debian.org>
+Standards-Version: 3.7.3
 
 Package: dput
 Architecture: all
 Depends: python (>= 2.3), gnupg
-Suggests: openssh-client, lintian, rsync
+Suggests: openssh-client, lintian, mini-dinstall, rsync
 Description: Debian package upload tool
  This script will allow you to put one or more Debian packages into the
  archive.

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	install --mode=0644 local.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 rsync.py $(TMPDIR)/usr/share/dput
 	install --mode=0644 dputhelper.py $(TMPDIR)/usr/share/dput/helper
+	install --mode=0755 security-warning $(TMPDIR)/usr/share/dput/helper
 	install --mode=0644 README $(TMPDIR)/usr/share/doc/$(PACKAGE)
 	install --mode=0644 FAQ $(TMPDIR)/usr/share/doc/$(PACKAGE)
 	install --mode=0644 copyright $(TMPDIR)/usr/share/doc/$(PACKAGE)

## dput 0.9.2.32

=== debian/changelog ===
dput (0.9.2.32) unstable; urgency=high

  * don't use python2.5-only <str>.partition. Closes: #479320

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 04 May 2008 11:55:03 +0200

dput (0.9.2.31) unstable; urgency=low

  Welcome the new co-maintainer!

  [ Y Giridhar Appaji Nag ]
  * Maintain dput in collab-maint on alioth in git.  Add Vcs-Browser and
    Vcs-Git headers in debian/control
  * Catch EOFError.  In default Pure-FTPd configuration, server closes the
    connection for anonymous FTP logins (Closes: #473558)
  * Fix lintian I: hyphen-used-as-minus-sign in dput.cf and lintian W:
    manpage-has-errors-from-man in dput.1 (.P.SH changed to .SH)
  * Add Y Giridhar Appaji Nag <giridhar@appaji.net> to Uploaders and add a
    DM-Upload-Allowed: yes header.
  * Allow port in FTP fqdn (defaults to 21), based on a patch submitted
    from Ubuntu by Daniel Hahler <debian-bugs@thequod.de> (Closes: #464600)
  * Add a mentors.debian.net stanza (called mentors) to dput.cf
  * dput Suggests mini-dinstall because it is used for the local method.
    Thanks Daniel Hahler for the patch (Closes: #464596)
  * Add "-o plusdirs" to "complete" in bash_completion, so that directories
    are also used in filename completion.  Thanks Daniel Hahler for the patch
    (Closes: #464592)

  [ Thomas Viehmann ]
  * Allow -u to override running the gpg signature check implied by
    --check-only. Closes: #405269
  * Switch getopt function to allow optional arguments.

 -- Thomas Viehmann <tv@beamnet.de>  Thu, 01 May 2008 20:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Viehmann <tv@beamnet.de>
+Maintainer: Thomas Viehmann <tv@beamnet.de>
+Uploaders: Y Giridhar Appaji Nag <giridhar@appaji.net>
 Build-Depends-Indep: debconf-utils (>= 1.1.1)
 Standards-Version: 3.7.3
+Vcs-Git: git://git.debian.org/git/collab-maint/dput.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/dput.git
+DM-Upload-Allowed: yes
 
 Package: dput
 Architecture: all

## dput 0.9.2.32-maemo1

=== debian/changelog ===
dput (0.9.2.32-maemo1) unstable; urgency=high

  * added fremantle-extras-builder to default configuration

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Tue, 10 Mar 2009 18:27:10 +0200

dput (0.9.2.32-maemo0) unstable; urgency=high

  * Changed build-deps
  * added maemo autobuilder entries to dput.cf

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 18 Oct 2008 23:57:25 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Thomas Viehmann <tv@beamnet.de>
 Uploaders: Y Giridhar Appaji Nag <giridhar@appaji.net>
-Build-Depends-Indep: debconf-utils (>= 1.1.1)
+#Build-Depends-Indep: debconf-utils (>= 1.1.1)
+Build-Depends-Indep: debhelper (>= 5)
 Standards-Version: 3.7.3
 Vcs-Git: git://git.debian.org/git/collab-maint/dput.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dput.git

## dput 0.9.2.32-maemo2

=== debian/changelog ===
dput (0.9.2.32-maemo2) unstable; urgency=low

  * updated dput.cf

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Mon, 18 Jan 2010 13:20:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Thomas Viehmann <tv@beamnet.de>
+Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
+XSBC-Original-Maintainer: Thomas Viehmann <tv@beamnet.de>
 Uploaders: Y Giridhar Appaji Nag <giridhar@appaji.net>
 #Build-Depends-Indep: debconf-utils (>= 1.1.1)
 Build-Depends-Indep: debhelper (>= 5)
